summaryrefslogtreecommitdiffstats
path: root/network/inadyn
diff options
context:
space:
mode:
author Niels Horn2010-05-13 01:00:02 +0200
committer David Somero2010-05-13 01:00:02 +0200
commit7b2d26ea252c774c11f82af71c4eb30165e9f2c1 (patch)
tree08fa808b1cb3ac50b0f2577582f093be3375b42f /network/inadyn
parent9c6caa069b2765fef7288ce622dbb6548b9288a6 (diff)
downloadslackbuilds-7b2d26ea252c774c11f82af71c4eb30165e9f2c1.tar.gz
network/inadyn: Added to 13.0 repository
Diffstat (limited to 'network/inadyn')
-rw-r--r--network/inadyn/README4
-rw-r--r--network/inadyn/README.SLACKWARE21
-rw-r--r--network/inadyn/inadyn.SlackBuild71
-rw-r--r--network/inadyn/inadyn.info10
-rw-r--r--network/inadyn/slack-desc19
5 files changed, 125 insertions, 0 deletions
diff --git a/network/inadyn/README b/network/inadyn/README
new file mode 100644
index 0000000000..00aa246f4f
--- /dev/null
+++ b/network/inadyn/README
@@ -0,0 +1,4 @@
+INADYN is a free DynDNS client. It gives the possibility to have your own
+fixed hostname registered on the internet, although your IP might be changing.
+INADYN periodically checks whether the IP address stored by the DNS server is
+the real current address of the machine running INADYN.
diff --git a/network/inadyn/README.SLACKWARE b/network/inadyn/README.SLACKWARE
new file mode 100644
index 0000000000..9663cd8c25
--- /dev/null
+++ b/network/inadyn/README.SLACKWARE
@@ -0,0 +1,21 @@
+README.SLACKWARE
+================
+
+After installing the inadyn package, create a file called inadyn.conf in /etc/
+with at least the following configuration:
+
+ update_period_sec <update_period_in_seconds>
+ username <your_username>
+ password <your_password>
+ dyndns_system dyndns@dyndns.org
+ alias <your_domain_name>
+ log_file /var/log/inadyn.log
+
+If you use a Dynamic DNS system different from DynDNS, read man pages.
+
+Add the following line to your /etc/rc.d/rc.local file to start inadyn at every
+boot:
+
+ /usr/bin/inadyn &
+
+Check the inadyn(8) and inadyn.conf(5) man pages for more detailed information.
diff --git a/network/inadyn/inadyn.SlackBuild b/network/inadyn/inadyn.SlackBuild
new file mode 100644
index 0000000000..14b1facf84
--- /dev/null
+++ b/network/inadyn/inadyn.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for inadyn
+# Maintained Niels Horn <niels.horn@gmail.com>
+# revision date: 2010/02/11
+
+PRGNAM=inadyn
+VERSION=1.96.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM.v$VERSION.zip
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS=$SLKCFLAGS make
+
+# "Install" manually
+mkdir -p $PKG/usr/bin
+cp bin/linux/$PRGNAM $PKG/usr/bin/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/man/man{5,8}
+cp man/inadyn.8 $PKG/usr/man/man8/
+cp man/inadyn.conf.5 $PKG/usr/man/man5/
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.html doc/Doxyfile $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/inadyn/inadyn.info b/network/inadyn/inadyn.info
new file mode 100644
index 0000000000..c54e597954
--- /dev/null
+++ b/network/inadyn/inadyn.info
@@ -0,0 +1,10 @@
+PRGNAM="inadyn"
+VERSION="1.96.2"
+HOMEPAGE="http://www.inatech.eu/inadyn/"
+DOWNLOAD="http://www.inatech.eu/inadyn/inadyn.v1.96.2.zip"
+MD5SUM="702a127f13b96eee38d60c6f30b20efa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="dsomero"
diff --git a/network/inadyn/slack-desc b/network/inadyn/slack-desc
new file mode 100644
index 0000000000..80717a4015
--- /dev/null
+++ b/network/inadyn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+inadyn: inadyn (Dynamic DNS client)
+inadyn:
+inadyn: INADYN is a free DynDNS client. It gives the possibility to have your
+inadyn: own fixed hostname registered on the internet, although your IP might
+inadyn: be changing. INADYN periodically checks whether the IP address stored
+inadyn: by the DNS server is the real current address of the machine running
+inadyn: INADYN.
+inadyn:
+inadyn: Homepage: http://www.inatech.eu/inadyn/
+inadyn:
+inadyn: